Imports System.Resources
Imports System.Globalization

Module Module1

  Sub Main()

    'purpose: demonstrate the resource manager class

    'local scope
    Dim myRm As ResourceManager

    'set the current thread to English-Us
    Threading.Thread.CurrentThread.CurrentUICulture = _
      New CultureInfo(name:="en-US")

    'create new resource manager class to access .resource files
    myRm = ResourceManager.CreateFileBasedResourceManager( _
      baseName:="myResources", _
      resourceDir:="./resources", _
      usingResourceSet:=Nothing)

    'access resources and write to console
    Console.WriteLine(myRm.GetString(name:="GoodMorning"))
    Console.WriteLine(myRm.GetString(name:="Hello"))

    'set the current thread to Spanish-Mexico
    Threading.Thread.CurrentThread.CurrentUICulture = _
      New CultureInfo(name:="es-MX")

    'access resources and write to console
    Console.WriteLine(myRm.GetString(name:="GoodMorning"))
    Console.WriteLine(myRm.GetString(name:="Hello"))

    'set the current thread to Japanese-Japan
    Threading.Thread.CurrentThread.CurrentUICulture = _
      New CultureInfo(name:="ja-JP")

    'access resources and write to console
    Console.WriteLine(myRm.GetString(name:="GoodMorning"))
    Console.WriteLine(myRm.GetString(name:="Hello"))

    'pause
    Do While Console.ReadLine <> "s" : Loop

  End Sub

End Module
