Imports System.Resources
Imports System.Globalization

Module Module1

  Sub Main()

    'purpose: demonstrate satellite assemblies

    'local scope 
    Dim mySatClass As SatelliteTestClass

    'set the current thread to English-United States
    Threading.Thread.CurrentThread.CurrentUICulture = _
      New CultureInfo(name:="en-US")

    'create a new instance of SatelliteTestClass
    mySatClass = New SatelliteTestClass()

    'write values to console
    Console.WriteLine(mySatClass.Hello & ", " & mySatClass.GoodMorning)

    'switch cultures to Spanish-Mexico
    Threading.Thread.CurrentThread.CurrentUICulture = _
      New CultureInfo(name:="es-MX")

    'write values to console
    Console.WriteLine(mySatClass.Hello & ", " & mySatClass.GoodMorning)

    'switch cultures to Japanese-Japan
    Threading.Thread.CurrentThread.CurrentUICulture = New CultureInfo(name:="ja-JP")

    'write values to console
    Console.WriteLine(mySatClass.Hello & ", " & mySatClass.GoodMorning)

    'pause
    Do While Console.ReadLine <> "s" : Loop

  End Sub

End Module

Public Class SatelliteTestClass

  'class level scope
  Private myRm As ResourceManager

  Public Sub New()

    'create new resource manager class
    myRm = New ResourceManager(baseName:="myResources", _
      assembly:=Me.GetType().Assembly)

  End Sub

  Public ReadOnly Property Hello()
    Get
      Return myRm.GetString(name:="Hello")
    End Get
  End Property

  Public ReadOnly Property GoodMorning()
    Get
      myRm.GetString(name:="GoodMorning")
    End Get
  End Property

End Class